/**
 * Swiper 6.4.7
 * Most modern mobile touch slider and framework with hardware accelerated transitions
 * https://swiperjs.com
 *
 * Copyright 2014-2021 Vladimir Kharlampidi
 *
 * Released under the MIT License
 *
 * Released on: January 21, 2021
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Swiper = require('./cjs/components/core/core-class');
var virtual = require('./cjs/components/virtual/virtual');
var keyboard = require('./cjs/components/keyboard/keyboard');
var mousewheel = require('./cjs/components/mousewheel/mousewheel');
var navigation = require('./cjs/components/navigation/navigation');
var pagination = require('./cjs/components/pagination/pagination');
var scrollbar = require('./cjs/components/scrollbar/scrollbar');
var parallax = require('./cjs/components/parallax/parallax');
var zoom = require('./cjs/components/zoom/zoom');
var lazy = require('./cjs/components/lazy/lazy');
var controller = require('./cjs/components/controller/controller');
var a11y = require('./cjs/components/a11y/a11y');
var history = require('./cjs/components/history/history');
var hashNavigation = require('./cjs/components/hash-navigation/hash-navigation');
var autoplay = require('./cjs/components/autoplay/autoplay');
var effectFade = require('./cjs/components/effect-fade/effect-fade');
var effectCube = require('./cjs/components/effect-cube/effect-cube');
var effectFlip = require('./cjs/components/effect-flip/effect-flip');
var effectCoverflow = require('./cjs/components/effect-coverflow/effect-coverflow');
var thumbs = require('./cjs/components/thumbs/thumbs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Swiper__default = /*#__PURE__*/_interopDefaultLegacy(Swiper);
var virtual__default = /*#__PURE__*/_interopDefaultLegacy(virtual);
var keyboard__default = /*#__PURE__*/_interopDefaultLegacy(keyboard);
var mousewheel__default = /*#__PURE__*/_interopDefaultLegacy(mousewheel);
var navigation__default = /*#__PURE__*/_interopDefaultLegacy(navigation);
var pagination__default = /*#__PURE__*/_interopDefaultLegacy(pagination);
var scrollbar__default = /*#__PURE__*/_interopDefaultLegacy(scrollbar);
var parallax__default = /*#__PURE__*/_interopDefaultLegacy(parallax);
var zoom__default = /*#__PURE__*/_interopDefaultLegacy(zoom);
var lazy__default = /*#__PURE__*/_interopDefaultLegacy(lazy);
var controller__default = /*#__PURE__*/_interopDefaultLegacy(controller);
var a11y__default = /*#__PURE__*/_interopDefaultLegacy(a11y);
var history__default = /*#__PURE__*/_interopDefaultLegacy(history);
var hashNavigation__default = /*#__PURE__*/_interopDefaultLegacy(hashNavigation);
var autoplay__default = /*#__PURE__*/_interopDefaultLegacy(autoplay);
var effectFade__default = /*#__PURE__*/_interopDefaultLegacy(effectFade);
var effectCube__default = /*#__PURE__*/_interopDefaultLegacy(effectCube);
var effectFlip__default = /*#__PURE__*/_interopDefaultLegacy(effectFlip);
var effectCoverflow__default = /*#__PURE__*/_interopDefaultLegacy(effectCoverflow);
var thumbs__default = /*#__PURE__*/_interopDefaultLegacy(thumbs);

// Swiper Class
var components = [];
Swiper__default['default'].use(components);

Object.defineProperty(exports, 'Swiper', {
  enumerable: true,
  get: function () {
    return Swiper__default['default'];
  }
});
Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function () {
    return Swiper__default['default'];
  }
});
Object.defineProperty(exports, 'Virtual', {
  enumerable: true,
  get: function () {
    return virtual__default['default'];
  }
});
Object.defineProperty(exports, 'Keyboard', {
  enumerable: true,
  get: function () {
    return keyboard__default['default'];
  }
});
Object.defineProperty(exports, 'Mousewheel', {
  enumerable: true,
  get: function () {
    return mousewheel__default['default'];
  }
});
Object.defineProperty(exports, 'Navigation', {
  enumerable: true,
  get: function () {
    return navigation__default['default'];
  }
});
Object.defineProperty(exports, 'Pagination', {
  enumerable: true,
  get: function () {
    return pagination__default['default'];
  }
});
Object.defineProperty(exports, 'Scrollbar', {
  enumerable: true,
  get: function () {
    return scrollbar__default['default'];
  }
});
Object.defineProperty(exports, 'Parallax', {
  enumerable: true,
  get: function () {
    return parallax__default['default'];
  }
});
Object.defineProperty(exports, 'Zoom', {
  enumerable: true,
  get: function () {
    return zoom__default['default'];
  }
});
Object.defineProperty(exports, 'Lazy', {
  enumerable: true,
  get: function () {
    return lazy__default['default'];
  }
});
Object.defineProperty(exports, 'Controller', {
  enumerable: true,
  get: function () {
    return controller__default['default'];
  }
});
Object.defineProperty(exports, 'A11y', {
  enumerable: true,
  get: function () {
    return a11y__default['default'];
  }
});
Object.defineProperty(exports, 'History', {
  enumerable: true,
  get: function () {
    return history__default['default'];
  }
});
Object.defineProperty(exports, 'HashNavigation', {
  enumerable: true,
  get: function () {
    return hashNavigation__default['default'];
  }
});
Object.defineProperty(exports, 'Autoplay', {
  enumerable: true,
  get: function () {
    return autoplay__default['default'];
  }
});
Object.defineProperty(exports, 'EffectFade', {
  enumerable: true,
  get: function () {
    return effectFade__default['default'];
  }
});
Object.defineProperty(exports, 'EffectCube', {
  enumerable: true,
  get: function () {
    return effectCube__default['default'];
  }
});
Object.defineProperty(exports, 'EffectFlip', {
  enumerable: true,
  get: function () {
    return effectFlip__default['default'];
  }
});
Object.defineProperty(exports, 'EffectCoverflow', {
  enumerable: true,
  get: function () {
    return effectCoverflow__default['default'];
  }
});
Object.defineProperty(exports, 'Thumbs', {
  enumerable: true,
  get: function () {
    return thumbs__default['default'];
  }
});
